curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"previous": "<string>",
"next": "<string>"
},
"organization_max_limit_reached": true,
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"event_type": "CREATE",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_name": "<string>",
"target_type": "APPLICATION",
"sub_target_type": "ADVANCED_SETTINGS",
"change": "<string>",
"origin": "API",
"triggered_by": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"user_agent": "<string>",
"original_change": "<string>"
}
]
}Get all events inside the organization
Get all events inside the organization
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Query Parameters
The number of events to display in the current page
Display events triggered since this timestamp.
A range of date can be specified by using from-timestamp with to-timestamp
The format is a timestamp with nano precision
Display events triggered before this timestamp.
A range of date can be specified by using to-timestamp with from-timestamp
The format is a timestamp with nano precision
Token used to fetch the next page results The format is a timestamp with nano precision
Token used to fetch the previous page results The format is a timestamp with nano precision
Type of the organization event
CREATE, UPDATE, DELETE, ACCEPT, EXPORT, CLONE, DEPLOY_QUEUED, STOP_QUEUED, RESTART_QUEUED, DELETE_QUEUED, UNINSTALL_QUEUED, MAINTENANCE, DRY_RUN, TRIGGER_REDEPLOY, TRIGGER_CANCEL, FORCE_RUN_QUEUED, FORCE_RUN_QUEUED_DEPLOY, FORCE_RUN_QUEUED_STOP, FORCE_RUN_QUEUED_DELETE, TRIGGER_DEPLOY, TRIGGER_STOP, TRIGGER_RESTART, TRIGGER_DELETE, TRIGGER_UNINSTALL, TRIGGER_DEPLOY_DRY_RUN, TRIGGER_TERRAFORM_FORCE_UNLOCK, TRIGGER_TERRAFORM_MIGRATE_STATE, TRIGGER_FORCE_RUN, TRIGGER_FORCE_RUN_DEPLOY, TRIGGER_FORCE_RUN_STOP, TRIGGER_FORCE_RUN_DELETE, DEPLOYED, STOPPED, DELETED, UNINSTALLED, RESTARTED, DEPLOYED_DRY_RUN, FORCE_RUN_SUCCEEDED, TERRAFORM_FORCE_UNLOCK_SUCCEEDED, TERRAFORM_MIGRATE_STATE_SUCCEEDED, DEPLOY_FAILED, STOP_FAILED, DELETE_FAILED, UNINSTALL_FAILED, RESTART_FAILED, DEPLOYED_DRY_RUN_FAILED, FORCE_RUN_FAILED, TERRAFORM_FORCE_UNLOCK_FAILED, TERRAFORM_MIGRATE_STATE_FAILED, SHELL, PORT_FORWARD, REMOTE_DEBUG, IMPORT, LOCK, UNLOCK "CREATE"
Type of the organization event
APPLICATION, CLUSTER, CONTAINER, CONTAINER_REGISTRY, DATABASE, ENTERPRISE_CONNECTION, ENVIRONMENT, JOB, HELM, HELM_REPOSITORY, MEMBERS_AND_ROLES, ORGANIZATION, PROJECT, WEBHOOK, TERRAFORM "APPLICATION"
The target resource id to search.
Must be specified with the corresponding target_type
Type of the organization event
ADVANCED_SETTINGS, ALERT_RULE, ANNOTATIONS_GROUP, API_TOKEN, BILLING_INFO, BILLING_USAGE_REPORT, CLOUD_PROVIDER_CREDENTIALS, CLUSTER_CREDENTIALS, CLUSTER_ROUTING_TABLE, CONFIG, CREDIT_CARD, CREDIT_CODE, CUSTOM_DOMAIN, CUSTOM_ROLE, DEPLOYMENT_RULE, DEPLOYMENT_STAGE, GITHUB_APP, GIT_REPOSITORY, GIT_TOKEN, INVITATION, KUBERNETES_CONFIGURATION, KUBERNETES_CREDENTIALS, LABELS_GROUP, MEMBER_ROLE, PLAN, REMOTE_ACCESS, SECRET, SSO, TERRAFORM, TRANSFER_OWNERSHIP, VARIABLE "ADVANCED_SETTINGS"
Information about the owner of the event (user name / apitoken / automatic action)
Origin of the organization event
API, CLI, CONSOLE, GIT, QOVERY_INTERNAL, TERRAFORM_PROVIDER "API"
The project chosen when filtering on a service type
The environment chosen when filtering on a service type
Was this page helpful?